[Deprecated]: v4.0
put
/ec-query-svc/rest/v4.0/studies/{studyId}/{mode}/queries/{queryId}/open
Deprecated: Use latest version instead. Compared to v3.0, this v4.0 endpoint requires objectVersionNumber in the payload and returns QueryDTOv4 responses so clients can perform optimistic locking. This improves user integration reliability.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: test (testing sandbox), training (training environment), and active (production).
-
queryId(required): string(uuid)
ID of query to open.
-
studyId(required): string(uuid)
Clinical One study identifier formatted as a 32 to 36 character GUID.
Supported Media Types
- application/json
Root Schema : QueryDTO Version 4
Type:
objectTitle:
QueryDTO Version 4Information for creating/editing query
Show Source
-
dataElementId(required): string
(uuid)
Data element Unique GUID
-
eventId: string
(uuid)
Event Unique GUID
-
eventInstanceNumber: number
(bigdecimal)
Sequence number (0, 1, 2, ...) of the repeating event. Negative values are rejected.Example:
0 -
formId: string
(uuid)
Form Unique GUID
-
formInstanceNumber: number
(bigdecimal)
Sequence number (0, 1, 2, ...) of the repeating form. Negative values are rejected.Example:
0 -
id: string
(uuid)
Query Unique GUID generated by the service.
-
objectVersionNumber: number
(bigdecimal)
Sequence number (0, 1, 2, ...) of the object version number used for optimistic locking. Negative values are rejected.Example:
1 -
queryComment(required): string
Query comments provided when updating the query.Example:
Reopening query after data correction. -
siteId: string
(uuid)
Site Unique GUID
-
state: string
Allowed Values:
[ "Candidate", "Opened", "Answered", "Closed", "Deleted" ]Query state. Candidate = query created but not yet opened; Opened = action required; Answered = awaiting review; Closed = resolved; Deleted = removed from workflow.Example:Opened -
studyVersionStart: string
(date-time)
Data element version start timestamp in ISO-8601 format.Example:
2026-01-15T10:05:30Z -
subjectId(required): string
(uuid)
Subject Unique GUID
Example:
{\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"queryComment\": \"Visit date clarification required.\",\n \"state\": \"Opened\",\n \"subjectId\": \"762744769B0E4E40B6A74691179BC578\",\n \"dataElementId\": \"583A45DD0A1C46F88D7842D76CAF9A59\",\n \"dataElementVersionStart\": \"2026-01-15T10:05:30Z\",\n \"formId\": \"680E0FB01F1B4CCB990C333563FAEE80\",\n \"siteId\": \"CB9BBB0767114F599FE75616223D6665\",\n \"eventId\": \"3B95322B15144E4397B30305EB33E871\",\n \"eventInstanceNumber\": 0,\n \"formInstanceNumber\": 0,\n \"objectVersionNumber\": 1\n}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Query reopened successfully.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
400 Response
Request validation failed due to missing, invalid, or inconsistent request data.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
404 Response
Returned when the specified query identifier cannot be found for the study and mode.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
500 Response
Returned when an unexpected error occurs while reopening the query.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples